{% extends 'base.html' %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Category List</title>
</head>
<body>
    {% block content %}
    <main>
        <div>
            <h1> Expense Categories </h1>
                <table>
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of receipts</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for item in categories %}
                    <tr>
                        <td>{{ item.name }}</td>
                        <td>{{ item.receipts.count }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
    {% endblock content %}
</body>
</html>
